import { Vue } from "vue-property-decorator";
import NotificationsStore from "../stores/NotificationsStore";
export default class UiNotificationsTypesConfigItem extends Vue {
    type: string;
    notificationStore: NotificationsStore;
    created(): void;
    get isTypeEnabled(): boolean;
    set isTypeEnabled(value: boolean);
    get isEnabledPopupType(): boolean;
    set isEnabledPopupType(value: boolean);
}
